# Get Account Balance

#### /sapi/v1/account/balance&#x20;

Request type: GET

Signature verification: Yes

Interface permission: Read

Rate Limit: Generally, the private interface rate limit of API key is at most 144 times every 3 seconds for each UID (Trade Interface: at most 72 times every 3 seconds. Read Interface: at most 72 times every 3 seconds) (this rate limit is shared by all the altcoins contracts delivered by different date).

Interface description: For Multi-Assets Collateral Mode users: Get information about your Futures account.

#### Request Address <a href="#request-address" id="request-address"></a>

| Online                              | ​[https://api.sunx.io​](https://api.sunx.io/) |
| ----------------------------------- | --------------------------------------------- |
| Online (preferred by aws customers) | ​[https://api.sunx.io](https://api.sunx.io/)  |

### Response Parameter

| Parameter                 | Data Type | Required | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  | Value Range |
| ------------------------- | --------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- |
| state                     | String    | true     | Account status 1(NORMAL): The account is functioning normally for trading and transfers. 3 (LIQUIDATING): The account is under liquidation, and trading, transfers, and the receipt of funding fees are unavailable. 5(ADL): The account is under auto deleveraging, and trading, transfers, and the receipt of funding fees are unavailable. 6(OPEN\_LIMIT): Orders are being canceled for risk management. Only ADL orders are allowed for futures trading; transfers in are permitted, but transfers out are not allowed. |             |
| equity                    | String    | true     | Account Equity                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |             |
| initial\_margin           | String    | true     | Initial margin                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |             |
| maintenance\_margin       | String    | true     | Maintenance margin                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |             |
| maintenance\_margin\_rate | String    | true     | Maintenance margin ratio                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |             |
| profit\_unreal            | String    | true     | Unrealized PnL                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |             |
| available\_margin         | String    | true     | Available collateral                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |             |
| voucher\_value            | String    | true     | voucher value(usdt)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |             |
| created\_time             | String    | true     | Account creation time                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |             |
| updated\_time             | String    | true     | Account update time                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |             |
| details                   | list      | true     |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |             |
| currency                  | String    | true     | Cryptocurrency                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |             |
| equity                    | String    | true     | Equity of a cryptocurrency                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |             |
| available                 | String    | true     | Available balance of a cryptocurrency                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        |             |
| withdraw\_available       | String    | true     | withdraw\_available                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |             |
| profit\_unreal            | String    | true     | Unrealized PnL                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               |             |
| initial\_margin           | String    | true     | Initial margin of a cryptocurrency                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |             |
| maintenance\_margin       | String    | true     | Maintenance margin of a cryptocurrency                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |             |
| maintenance\_margin\_rate | String    | true     | Maintenance margin ratio of a cryptocurrency                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |             |
| initial\_margin\_rate     | String    | true     | Initial margin ratio of a cryptocurrency                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |             |
| voucher                   | String    | true     | voucher                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |             |
| voucher\_value            | String    | true     | voucher value(usdt)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |             |
| created\_time             | String    | true     | Creation time                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |             |
| updated\_time             | String    | true     | Update time                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |             |

### Request Example

```
GET https://api.sunx.io/sapi/v1/account/balance?SignatureVersion=2&AccessKeyId=<your key>&Signature=<your signature>&SignatureMethod=HmacSHA256&Timestamp=2025-09-16T07%3A16%3A15
```

### Response Example

```
{
    "code": 200,
    "message": "Success",
    "data": {
        "state": "normal",
        "equity": "0.004015101942876636",
        "details": [
            {
                "currency": "USDT",
                "equity": "0.004015101942876636",
                "available": "0.004015101942876636",
                "profit_unreal": "0",
                "initial_margin": "0",
                "maintenance_margin": "0",
                "maintenance_margin_rate": "0",
                "initial_margin_rate": "0",
                "voucher": "0",
                "voucher_value": "0",
                "withdraw_available": "0.004015101942876636",
                "created_time": 1757935751532,
                "updated_time": 1758895045039
            }
        ],
        "initial_margin": "0",
        "maintenance_margin": "0",
        "maintenance_margin_rate": "0",
        "profit_unreal": "0",
        "available_margin": "0.004015101942876636",
        "voucher_value": "0",
        "created_time": 1757472792969,
        "updated_time": 1758895045039
    },
    "ts": 1759042264737
}

```
